Bug 811275 - qpid-perftest.exe" and "qpid-latency-test.exe" crashes on WindowsXP and Windows Server2003 with 'ERROR: ACCESS VIOLATION'
qpid-perftest.exe" and "qpid-latency-test.exe" crashes on WindowsXP and Windo...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Windows
medium Severity high
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 11:27 EDT by Petra Svobodová
Modified: 2014-08-11 16:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 13:46:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petra Svobodová 2012-04-10 11:27:18 EDT
Description of problem:
Applications "qpid-perftest.exe" and "qpid-latency-test.exe" fail with error message: "Access violation". 

See command line transcript below, please:
[10:45:18] ERROR:localhost:'c:\qpid_VS2010\bin\Release\qpid-perftest.exe -s --unique-data yes --port 5672 --broker 10.34.33.187 --count 647 --npubs 1 --nsubs 1 --qt 1 --base-name perf_Server2003-x64_26_647 --mechanism PLAIN --durable 1 --mode fanout', result:None, dur.:101
[10:45:18] DEBUG:stdout:
  
[10:45:18] DEBUG:stderr:
  
  ERROR: ACCESS VIOLATION 



Version-Release number of selected component (if applicable):
qpid-cpp-win-3.0.0.3-1


How reproducible:
less than 10%


Steps to Reproduce:
1. Unzip the qpid-cpp-win package.
2. Run "qpid-perftest.exe" or "qpid-latency-test.exe"

  
Actual results:
The application fails with "access violation" error.


Expected results:
The application should run.
Comment 2 Petra Svobodová 2012-04-16 05:01:01 EDT
This issue was appeared on packages qpid-cpp-win-3.0.0.4-1: 

- on WindowsXP-x64 - in about 10% cases on packages built in both versions (2008 and 2010) of Microsoft Visual Studio 
- on Windows Server2003-x64 - in about 5% cases on packages built in both versions (2008 and 2010) of Microsoft Visual Studio 
- on Windows Server2008-x64 - only once on packages built in MS Visual Studio 2010
Comment 3 Petra Svobodová 2012-08-08 09:00:12 EDT
I could see this issue on the packages qpid-cpp-win-3.1.0.2-1.

All these crashes occurred on following two machines only (rest supported ones do not suffer from this defect): 
- WindowsXP-x64 (in 4 cases from 384 runs of qpid-perftest; it is about 1%)
- Windows Server2003-x64 (in 6 cases from 384 runs of qpid-perftest; it is about 1.5%).

There is one important different between crashes described in the bz 811275 and these ones.

Before (qpid-cpp-win-3.0.0.3-1):
qpid-perftest crashed with empty stdout (it did not return any values) i.e. crash happened at the beginning or during the client operation.

Now (qpid-cpp-win-3.1.0.2-1):
qpid-perftest returned values first and then returned the "ERROR: ACCESS VIOLATION" message on its stderr i.e. crash happen at the client shutdown (connection close).

[07:50:50] ERROR:localhost:'c:\qpid_VS2008\bin\Release\qpid-perftest.exe -s --unique-data yes --port 5672 --broker dhcp-37-202.lab.eng.brq.redhat.com --count 765 --npubs 1 --nsubs 1 --qt 1 --base-name perf_Server2003-x64_39_765 --user guest --password guest --mechanism PLAIN --durable 0 --mode topic', result:-1073741819, dur.:1
[07:50:50] DEBUG:stdout:
  5440	4896	10880	10.625
[07:50:50] DEBUG:stderr:
  
  ERROR: ACCESS VIOLATION


I thus reopen this bug because it seems to be not the duplicate of bug 781560.

--> ASSIGNED
Comment 4 Petra Svobodová 2012-09-17 09:24:35 EDT
Summary:

I run the "qpid-perftest.exe" on virtual machines WindowsXP-x86 and x64, Windows7-x86 and x64, Windows Server2003-x86 and x64, Windows Server2008-x86, x64 and R2; every machine against brokers on Rhel5-i386 and x86-64 and Rhel6-i686 and x86-64.

Number of test cases on one machine (qpid-perftest runs) with qpid-perftest compiled on VS2008 was 1872;
Number of test cases on one machine with qpid-perftest compiled on VS2010 was 1872;
Total number of test cases on all machines was 33696 for both Visual Studios on all machines.

This bug occurred in 45 cases; which is about 0.13% (from 33696 cases) on these machines only:
Server2003-x64: VS2008 - 7 cases (0.4% from 1872 cases)
                VS2010 - 13 cases (0.7% from 1872 cases)
WindowsXP-x64: VS2008 - 3 cases (0.2% from 1872 cases)
               VS2010 - 22 cases (1.1% from 1872 cases)

This issue occurs more than twice often on "qpid-perftest.exe" compiled in MS Visual Studio 2010.

Note You need to log in before you can comment on or make changes to this bug.